%define upstream_name    POSIX-strftime-Compiler
%define upstream_version 0.41

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    GNU C library compatible strftime for loggers and servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POSIX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Time::Local)
BuildArch:  noarch

%description
POSIX::strftime::Compiler provides GNU C library compatible strftime(3).
But this module will not affected by the system locale. This feature is
useful when you want to write loggers, servers and portable applications.

For generate same result strings on any locale, POSIX::strftime::Compiler
wraps POSIX::strftime and converts some format characters to perl code

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.410.0-3.mga6
+ Revision: 1032657
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.410.0-2.mga6
+ Revision: 966683
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.410.0-1.mga6
+ Revision: 846563
- update to 0.41

* Wed Oct 15 2014 umeabot <umeabot> 0.400.0-3.mga5
+ Revision: 747241
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.400.0-2.mga5
+ Revision: 685839
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 sander85 <sander85> 0.400.0-1.mga5
+ Revision: 666179
- update to 0.40

* Tue Jun 10 2014 sander85 <sander85> 0.320.0-1.mga5
+ Revision: 635467
- update to 0.32

* Tue Feb 25 2014 jquelin <jquelin> 0.310.0-1.mga5
+ Revision: 596835
- imported package perl-POSIX-strftime-Compiler


* Tue Feb 25 2014 cpan2dist 0.31-1mga
- initial mageia release, generated with cpan2dist
